package com.hdkj.lt.bf.entity.vo;

import com.alibaba.fastjson.JSON;
import lombok.Data;

import java.util.List;

/**
 * @Description
 * @Author wcx
 * @Date 2025/7/14 10:44
 * @Version 1.0
 */
@Data
public class DynamicSvgDirectVO {
    // 线路/计划/运行调优/方案ID
    private String objId;
    // 朝流数据字符串
    private String clListJson;
    // 开关数据字符串
    private String kgListJson;

    public List<DirectCurrentVO> getClList() {
        return JSON.parseArray(clListJson, DirectCurrentVO.class);
    }

    public List<FeederSwitchVO> getKgList() {
        return JSON.parseArray(kgListJson, FeederSwitchVO.class);
    }
}
